StatsHub Docs
Endpoint referencePlayer

/player

POST
/api/v2/player

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/player" \  -H "Content-Type: application/json" \  -d '{    "contractuntil": 0,    "countrySlug": "string",    "dateofbirth": 0,    "deceased": true,    "gender": "string",    "height": 0,    "id": 0,    "jerseynumber": 0,    "marketvalue": "string",    "name": "string",    "position": "string",    "preferredfoot": "string",    "shortname": "string",    "slug": "string",    "teamid": 0,    "usercount": 0  }'
{  "$schema": "https://example.com/schemas/PlayerCreateCreatedBody.json",  "message": "string",  "team": {    "contractuntil": 0,    "countrySlug": "string",    "dateofbirth": 0,    "deceased": true,    "gender": "string",    "height": 0,    "id": 0,    "internalId": 0,    "jerseynumber": 0,    "marketvalue": "string",    "name": "string",    "nationalTeamId": 0,    "position": "string",    "preferredfoot": "string",    "shortname": "string",    "slug": "string",    "teamid": 0,    "usercount": 0  }}